BLK_POST_RUNTIME_RES(9)

NAME
blk_post_runtime_resume - Post runtime resume processing

SYNOPSIS

void blk_post_runtime_resume(struct request_queue * q, int err);

ARGUMENTS

q
    the queue of the device

err
    return value of the device's runtime_resume function

DESCRIPTION

Update the queue's runtime status according to the return value of the device's runtime_resume function. If it is successfully resumed, process the requests that are queued into the device's queue when it is resuming and then mark last busy and initiate autosuspend for it.

This function should be called near the end of the device's runtime_resume callback.

COPYRIGHT